Skip to content

Create inventory requirement

Request

Creates a new Inventory Requirement record. Inventory Requirement resource in the Animal Health Data Store

Security
bearer
Path
siteIdnumberrequired

Site identifier

Bodyapplication/jsonrequired
availableQuantitynumber

Current available quantity of the product at the specified location.

Example:1.23
extensionsobject

Vendor- or practice-specific extensions to the inventory requirement.

inventoryRequirementIdstring

Canonical identifier for this inventory requirement record.

Example:"123e4567-e89b-12d3-a456-426614174000"
locationIdstring

Identifier of the location (e.g., clinic, warehouse) where this requirement applies.

Example:"123e4567-e89b-12d3-a456-426614174000"
minimumQuantitynumber

Minimum quantity threshold at which the product should be reordered.

Example:1.23
productCodestring

Practice-specific product code or SKU.

Example:"CODE-001"
productDisplaystring

Human-readable name of the product for display purposes.

Example:"Example Name"
productIdstringrequired

Identifier of the product this inventory requirement applies to.

Example:"123e4567-e89b-12d3-a456-426614174000"
requiredQuantitynumber

Target quantity to have on hand at the specified location.

Example:1.23
curl -i -X POST \
  'https://docs.axiomera.com/_mock/apis/animal-health/openapi/site/{siteId}/ahds/v1/inventory-requirement' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "availableQuantity": 1.23,
    "extensions": {},
    "inventoryRequirementId": "123e4567-e89b-12d3-a456-426614174000",
    "locationId": "123e4567-e89b-12d3-a456-426614174000",
    "minimumQuantity": 1.23,
    "productCode": "CODE-001",
    "productDisplay": "Example Name",
    "productId": "123e4567-e89b-12d3-a456-426614174000",
    "requiredQuantity": 1.23
  }'

Responses

Inventory Requirement created successfully

Bodyapplication/json
availableQuantitynumberrequired

Current available quantity of the product at the specified location.

Example:1.23
createdAtstring, (date-time)required

Timestamp when this inventory requirement record was created.

Example:"2025-01-01T00:00:00.000Z"
extensionsobjectrequired

Vendor- or practice-specific extensions to the inventory requirement.

inventoryRequirementIdstringrequired

Canonical identifier for this inventory requirement record.

Example:"123e4567-e89b-12d3-a456-426614174000"
locationIdstringrequired

Identifier of the location (e.g., clinic, warehouse) where this requirement applies.

Example:"123e4567-e89b-12d3-a456-426614174000"
minimumQuantitynumberrequired

Minimum quantity threshold at which the product should be reordered.

Example:1.23
productCodestringrequired

Practice-specific product code or SKU.

Example:"CODE-001"
productDisplaystringrequired

Human-readable name of the product for display purposes.

Example:"Example Name"
productIdstringrequired

Identifier of the product this inventory requirement applies to.

Example:"123e4567-e89b-12d3-a456-426614174000"
requiredQuantitynumberrequired

Target quantity to have on hand at the specified location.

Example:1.23
updatedAtstring, (date-time)required

Timestamp when this inventory requirement record was last updated.

Example:"2025-01-01T00:00:00.000Z"
Response
{ "availableQuantity": 1.23, "createdAt": "2025-01-01T00:00:00.000Z", "extensions": {}, "inventoryRequirementId": "123e4567-e89b-12d3-a456-426614174000", "locationId": "123e4567-e89b-12d3-a456-426614174000", "minimumQuantity": 1.23, "productCode": "CODE-001", "productDisplay": "Example Name", "productId": "123e4567-e89b-12d3-a456-426614174000", "requiredQuantity": 1.23, "updatedAt": "2025-01-01T00:00:00.000Z" }